Index: src/mlx/gui/acars.py
===================================================================
--- src/mlx/gui/acars.py	(revision 919)
+++ src/mlx/gui/acars.py	(revision 996)
@@ -18,5 +18,5 @@
 #------------------------------------------------------------------------------
 
-class ACARS(gtk.VBox):
+class ACARS(Gtk.VBox):
     """The flight info tab."""
     # The URL of the ACARS map
Index: src/mlx/gui/bugreport.py
===================================================================
--- src/mlx/gui/bugreport.py	(revision 954)
+++ src/mlx/gui/bugreport.py	(revision 996)
@@ -18,5 +18,5 @@
 #------------------------------------------------------------------------------
 
-class BugReportDialog(gtk.Dialog):
+class BugReportDialog(Gtk.Dialog):
     """The dialog to report a bug."""
     def __init__(self, gui):
@@ -33,5 +33,5 @@
         contentArea = self.get_content_area()
 
-        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -40,8 +40,8 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = gtk.VBox()
+        contentVBox = Gtk.VBox()
         contentAlignment.add(contentVBox)
 
-        label = gtk.Label(xstr("bugreport_summary"))
+        label = Gtk.Label(xstr("bugreport_summary"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -49,5 +49,5 @@
         contentVBox.pack_start(label, False, False, 4)
 
-        self._summary = summary = gtk.Entry()
+        self._summary = summary = Gtk.Entry()
         summary.connect("changed", self._summaryChanged)
         summary.set_tooltip_text(xstr("bugreport_summary_tooltip"))
@@ -56,5 +56,5 @@
         contentVBox.pack_start(summary, True, True, 4)
 
-        label = gtk.Label(xstr("bugreport_description"))
+        label = Gtk.Label(xstr("bugreport_description"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -62,10 +62,10 @@
         contentVBox.pack_start(label, False, False, 4)
 
-        self._description = description = gtk.TextView()
+        self._description = description = Gtk.TextView()
         description.set_tooltip_text(xstr("bugreport_description_tooltip"))
         description.set_wrap_mode(WRAP_WORD)
         label.set_mnemonic_widget(description)
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(description)
         scrolledWindow.set_size_request(-1, 200)
@@ -73,13 +73,13 @@
         scrolledWindow.set_shadow_type(SHADOW_IN)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 1.0, yscale = 1.0)
         alignment.add(scrolledWindow)
 
         contentVBox.pack_start(alignment, True, True, 4)
 
-        emailBox = gtk.HBox()
+        emailBox = Gtk.HBox()
         contentVBox.pack_start(emailBox, False, False, 4)
 
-        label = gtk.Label(xstr("bugreport_email"))
+        label = Gtk.Label(xstr("bugreport_email"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -87,8 +87,8 @@
         emailBox.pack_start(label, False, False, 0)
 
-        alignment = gtk.Alignment()
+        alignment = Gtk.Alignment()
         emailBox.pack_start(alignment, False, False, 8)
 
-        self._email = email = gtk.Entry()
+        self._email = email = Gtk.Entry()
         email.set_tooltip_text(xstr("bugreport_email_tooltip"))
         label.set_mnemonic_widget(email)
Index: src/mlx/gui/callouts.py
===================================================================
--- src/mlx/gui/callouts.py	(revision 995)
+++ src/mlx/gui/callouts.py	(revision 996)
@@ -27,5 +27,5 @@
 #------------------------------------------------------------------------------
 
-class ApproachCalloutsEditor(gtk.Dialog):
+class ApproachCalloutsEditor(Gtk.Dialog):
     """The dialog to edit the approach callouts."""
     integerRE = re.compile("[0-9]+")
@@ -67,18 +67,18 @@
 
         # FIXME: common code with the checklist editor
-        typeBox = gtk.HBox()
-
-        label = gtk.Label(xstr("callouts_aircraftType"))
+        typeBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("callouts_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = gtk.ListStore(str, int)
+        self._aircraftTypeModel = Gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = gtk.CellRendererText()
+        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -90,5 +90,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -98,8 +98,8 @@
         # FIXME: common code until here, but note that some texts are different
 
-        contentBox = gtk.HBox()        
-
-        controlBox = gtk.VBox()
-        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        contentBox = Gtk.HBox()        
+
+        controlBox = Gtk.VBox()
+        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -108,9 +108,9 @@
         contentBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = gtk.Button(xstr("callouts_add"))
+        self._addButton = Gtk.Button(xstr("callouts_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("callouts_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -119,5 +119,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = gtk.Button(xstr("callouts_remove"))
+        self._removeButton = Gtk.Button(xstr("callouts_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("callouts_remove_tooltip"))
@@ -125,5 +125,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 24, padding_bottom = 0,
@@ -132,5 +132,5 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._fileListModel = gtk.ListStore(int, str, str)
+        self._fileListModel = Gtk.ListStore(int, str, str)
         self._fileListModel.set_sort_column_id(0, SORT_DESCENDING)
 
@@ -139,14 +139,14 @@
         self._lastAddedAltitude = None
         
-        self._fileList = gtk.TreeView(model = self._fileListModel)
-
-        renderer = gtk.CellRendererSpin()
+        self._fileList = Gtk.TreeView(model = self._fileListModel)
+
+        renderer = Gtk.CellRendererSpin()
         renderer.set_property("editable", True)
 
-        adjustment = gtk.Adjustment(0, 0, 5000, 10, 100)
+        adjustment = Gtk.Adjustment(0, 0, 5000, 10, 100)
         renderer.set_property("adjustment", adjustment);
         renderer.connect("edited", self._altitudeEdited)
         
-        column = gtk.TreeViewColumn(xstr("callouts_header_altitude"),
+        column = Gtk.TreeViewColumn(xstr("callouts_header_altitude"),
                                     renderer, text = 0)
         self._fileList.append_column(column)
@@ -159,6 +159,6 @@
         column.set_expand(False)
 
-        column = gtk.TreeViewColumn(xstr("callouts_header_path"),
-                                    gtk.CellRendererText(), text = 1)
+        column = Gtk.TreeViewColumn(xstr("callouts_header_path"),
+                                    Gtk.CellRendererText(), text = 1)
         self._fileList.append_column(column)
         column.set_expand(True)
@@ -178,5 +178,5 @@
         self._buildFileListPopupMenu()
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(300, -1)
@@ -184,5 +184,5 @@
         scrolledWindow.set_shadow_type(SHADOW_IN)
         
-        fileListAlignment = gtk.Alignment(xscale=1.0, yscale=1.0, 
+        fileListAlignment = Gtk.Alignment(xscale=1.0, yscale=1.0, 
                                           xalign=0.5, yalign=0.5)
         fileListAlignment.set_padding(padding_top = 0, padding_bottom = 16,
@@ -292,5 +292,5 @@
         otherPath = self._hasAltitude(newAltitude, ignorePath = editedPath)
         if otherPath is not None:
-            dialog = gtk.MessageDialog(parent = self,
+            dialog = Gtk.MessageDialog(parent = self,
                                        type = MESSAGETYPE_QUESTION,
                                        message_format =
@@ -346,10 +346,10 @@
         If it does not exist yet, it will be created."""
         if self._fileOpenDialog is None:
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("callouts_open_title"),
                                            action = FILE_CHOOSER_ACTION_OPEN,
-                                           buttons = (gtk.STOCK_CANCEL,
+                                           buttons = (Gtk.STOCK_CANCEL,
                                                       RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                      Gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = self)
             dialog.set_modal(True)            
@@ -358,5 +358,5 @@
             # FIXME: create the filters in one location and use them
             # from there
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_audio"))
             filter.add_pattern("*.wav")
@@ -364,5 +364,5 @@
             dialog.add_filter(filter)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -481,7 +481,7 @@
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("callouts_remove"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/cef.py
===================================================================
--- src/mlx/gui/cef.py	(revision 995)
+++ src/mlx/gui/cef.py	(revision 996)
@@ -308,9 +308,9 @@
     within."""
     if os.name=="nt":
-        container = gtk.DrawingArea()
+        container = Gtk.DrawingArea()
         container.set_property("can-focus", True)
         container.connect("size-allocate", _handleSizeAllocate)
     else:
-        container = gtk.DrawingArea()
+        container = Gtk.DrawingArea()
 
     container.show()
Index: src/mlx/gui/checklist.py
===================================================================
--- src/mlx/gui/checklist.py	(revision 994)
+++ src/mlx/gui/checklist.py	(revision 996)
@@ -22,5 +22,5 @@
 #------------------------------------------------------------------------------
 
-class ChecklistEditor(gtk.Dialog):
+class ChecklistEditor(Gtk.Dialog):
     """The dialog to edit the checklists."""
     def __init__(self, gui):
@@ -39,18 +39,18 @@
         contentArea = self.get_content_area()
 
-        typeBox = gtk.HBox()
-
-        label = gtk.Label(xstr("chklst_aircraftType"))
+        typeBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("chklst_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = gtk.ListStore(str, int)
+        self._aircraftTypeModel = Gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = gtk.CellRendererText()
+        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -62,5 +62,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -69,10 +69,10 @@
         contentArea.pack_start(typeBoxAlignment, False, False, 12)
 
-        fileBox = gtk.HBox()        
-
-        self._fileChooser = gtk.FileChooserWidget()
+        fileBox = Gtk.HBox()        
+
+        self._fileChooser = Gtk.FileChooserWidget()
         self._fileChooser.set_select_multiple(True)
         
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_audio"))
         filter.add_pattern("*.wav")
@@ -80,5 +80,5 @@
         self._fileChooser.add_filter(filter)
             
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
         filter.add_pattern("*.*")
@@ -90,6 +90,6 @@
         fileBox.pack_start(self._fileChooser, True, True, 4)
 
-        controlBox = gtk.VBox()
-        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        controlBox = Gtk.VBox()
+        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -98,9 +98,9 @@
         fileBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = gtk.Button(xstr("chklst_add"))
+        self._addButton = Gtk.Button(xstr("chklst_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("chklst_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -109,5 +109,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = gtk.Button(xstr("chklst_remove"))
+        self._removeButton = Gtk.Button(xstr("chklst_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("chklst_remove_tooltip"))
@@ -115,5 +115,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -122,5 +122,5 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._moveUpButton = gtk.Button(xstr("chklst_moveUp"))
+        self._moveUpButton = Gtk.Button(xstr("chklst_moveUp"))
         self._moveUpButton.set_use_underline(True)
         self._moveUpButton.set_tooltip_text(xstr("chklst_moveUp_tooltip"))
@@ -128,5 +128,5 @@
         self._moveUpButton.connect("clicked", self._moveUpButtonClicked)
 
-        moveUpAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveUpAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveUpAlignment.set_padding(padding_top = 16, padding_bottom = 0,
@@ -135,5 +135,5 @@
         controlBox.pack_start(moveUpAlignment, False, False, 0)
 
-        self._moveDownButton = gtk.Button(xstr("chklst_moveDown"))
+        self._moveDownButton = Gtk.Button(xstr("chklst_moveDown"))
         self._moveDownButton.set_use_underline(True)
         self._moveDownButton.set_tooltip_text(xstr("chklst_moveDown_tooltip"))
@@ -141,5 +141,5 @@
         self._moveDownButton.connect("clicked", self._moveDownButtonClicked)
 
-        moveDownAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveDownAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveDownAlignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -148,10 +148,10 @@
         controlBox.pack_start(moveDownAlignment, False, False, 0)
 
-        self._fileListModel = gtk.ListStore(str, str)
-        self._fileList = gtk.TreeView(model = self._fileListModel)
+        self._fileListModel = Gtk.ListStore(str, str)
+        self._fileList = Gtk.TreeView(model = self._fileListModel)
         self._fileList.connect("button-press-event",
                                self._fileListButtonPressed)
-        column = gtk.TreeViewColumn(xstr("chklst_header"),
-                                    gtk.CellRendererText(), text = 0)
+        column = Gtk.TreeViewColumn(xstr("chklst_header"),
+                                    Gtk.CellRendererText(), text = 0)
         column.set_expand(True)
         column.set_clickable(False)
@@ -167,5 +167,5 @@
         self._buildFileListPopupMenu()
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(200, -1)
@@ -329,7 +329,7 @@
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_remove"))
         menuItem.set_use_underline(True)
@@ -340,5 +340,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveUp"))
         menuItem.set_use_underline(True)
@@ -349,5 +349,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveDown"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 995)
+++ src/mlx/gui/common.py	(revision 996)
@@ -26,5 +26,5 @@
 from gi.repository import GdkPixbuf as gdkPixbuf
 gi.require_version("Gtk", "3.0")
-from gi.repository import Gtk as gtk
+from gi.repository import Gtk
 try:
     gi.require_version("AppIndicator3", "0.1")
@@ -36,20 +36,20 @@
 
 
-MESSAGETYPE_ERROR = gtk.MessageType.ERROR
-MESSAGETYPE_QUESTION = gtk.MessageType.QUESTION
-MESSAGETYPE_INFO = gtk.MessageType.INFO
-RESPONSETYPE_NONE = gtk.ResponseType.NONE
-RESPONSETYPE_OK = gtk.ResponseType.OK
-RESPONSETYPE_YES = gtk.ResponseType.YES
-RESPONSETYPE_NO = gtk.ResponseType.NO
-RESPONSETYPE_ACCEPT = gtk.ResponseType.ACCEPT
-RESPONSETYPE_REJECT = gtk.ResponseType.REJECT
-RESPONSETYPE_CANCEL = gtk.ResponseType.CANCEL
-ACCEL_VISIBLE = gtk.AccelFlags.VISIBLE
+MESSAGETYPE_ERROR = Gtk.MessageType.ERROR
+MESSAGETYPE_QUESTION = Gtk.MessageType.QUESTION
+MESSAGETYPE_INFO = Gtk.MessageType.INFO
+RESPONSETYPE_NONE = Gtk.ResponseType.NONE
+RESPONSETYPE_OK = Gtk.ResponseType.OK
+RESPONSETYPE_YES = Gtk.ResponseType.YES
+RESPONSETYPE_NO = Gtk.ResponseType.NO
+RESPONSETYPE_ACCEPT = Gtk.ResponseType.ACCEPT
+RESPONSETYPE_REJECT = Gtk.ResponseType.REJECT
+RESPONSETYPE_CANCEL = Gtk.ResponseType.CANCEL
+ACCEL_VISIBLE = Gtk.AccelFlags.VISIBLE
 CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
-DIALOG_MODAL = gtk.DialogFlags.MODAL
-WRAP_WORD = gtk.WrapMode.WORD
-JUSTIFY_CENTER = gtk.Justification.CENTER
-JUSTIFY_LEFT = gtk.Justification.LEFT
+DIALOG_MODAL = Gtk.DialogFlags.MODAL
+WRAP_WORD = Gtk.WrapMode.WORD
+JUSTIFY_CENTER = Gtk.Justification.CENTER
+JUSTIFY_LEFT = Gtk.Justification.LEFT
 
 CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
@@ -60,18 +60,18 @@
 SCROLL_DOWN = gdk.ScrollDirection.DOWN
 
-SPIN_USER_DEFINED = gtk.SpinType.USER_DEFINED
-
-FILE_CHOOSER_ACTION_SELECT_FOLDER = gtk.FileChooserAction.SELECT_FOLDER
-FILE_CHOOSER_ACTION_OPEN = gtk.FileChooserAction.OPEN
-FILE_CHOOSER_ACTION_SAVE = gtk.FileChooserAction.SAVE
-
-SELECTION_MULTIPLE = gtk.SelectionMode.MULTIPLE
-
-SHADOW_IN = gtk.ShadowType.IN
-SHADOW_NONE = gtk.ShadowType.NONE
-
-POLICY_AUTOMATIC = gtk.PolicyType.AUTOMATIC
-POLICY_NEVER = gtk.PolicyType.NEVER
-POLICY_ALWAYS = gtk.PolicyType.ALWAYS
+SPIN_USER_DEFINED = Gtk.SpinType.USER_DEFINED
+
+FILE_CHOOSER_ACTION_SELECT_FOLDER = Gtk.FileChooserAction.SELECT_FOLDER
+FILE_CHOOSER_ACTION_OPEN = Gtk.FileChooserAction.OPEN
+FILE_CHOOSER_ACTION_SAVE = Gtk.FileChooserAction.SAVE
+
+SELECTION_MULTIPLE = Gtk.SelectionMode.MULTIPLE
+
+SHADOW_IN = Gtk.ShadowType.IN
+SHADOW_NONE = Gtk.ShadowType.NONE
+
+POLICY_AUTOMATIC = Gtk.PolicyType.AUTOMATIC
+POLICY_NEVER = Gtk.PolicyType.NEVER
+POLICY_ALWAYS = Gtk.PolicyType.ALWAYS
 
 WEIGHT_NORMAL = pango.Weight.NORMAL
@@ -81,17 +81,17 @@
 WINDOW_STATE_WITHDRAWN = gdk.WindowState.WITHDRAWN
 
-SORT_ASCENDING = gtk.SortType.ASCENDING
-SORT_DESCENDING = gtk.SortType.DESCENDING
+SORT_ASCENDING = Gtk.SortType.ASCENDING
+SORT_DESCENDING = Gtk.SortType.DESCENDING
 
 EVENT_BUTTON_PRESS = gdk.EventType.BUTTON_PRESS
 
-TREE_VIEW_COLUMN_FIXED = gtk.TreeViewColumnSizing.FIXED
-
-FILL = gtk.AttachOptions.FILL
-EXPAND = gtk.AttachOptions.EXPAND
-
-UPDATE_IF_VALID = gtk.SpinButtonUpdatePolicy.IF_VALID
-
-SELECTION_MULTIPLE = gtk.SelectionMode.MULTIPLE
+TREE_VIEW_COLUMN_FIXED = Gtk.TreeViewColumnSizing.FIXED
+
+FILL = Gtk.AttachOptions.FILL
+EXPAND = Gtk.AttachOptions.EXPAND
+
+UPDATE_IF_VALID = Gtk.SpinButtonUpdatePolicy.IF_VALID
+
+SELECTION_MULTIPLE = Gtk.SelectionMode.MULTIPLE
 
 pixbuf_new_from_file = gdkPixbuf.Pixbuf.new_from_file
@@ -139,9 +139,9 @@
 #------------------------------------------------------------------------------
 
-class IntegerEntry(gtk.Entry):
+class IntegerEntry(Gtk.Entry):
     """An entry that allows only either an empty value, or an integer."""
     def __init__(self, defaultValue = None):
         """Construct the entry."""
-        gtk.Entry.__init__(self)
+        Gtk.Entry.__init__(self)
 
         self.set_alignment(1.0)
@@ -191,5 +191,5 @@
 #------------------------------------------------------------------------------
 
-class TimeEntry(gtk.Entry):
+class TimeEntry(Gtk.Entry):
     """Widget to display and edit a time value in HH:MM format."""
     def __init__(self):
@@ -296,10 +296,10 @@
             pass
         else:
-            gtk.gdk.display_get_default().beep()
+            Gtk.gdk.display_get_default().beep()
             self.stop_emission(signal)
 
 #------------------------------------------------------------------------------
 
-class CredentialsDialog(gtk.Dialog):
+class CredentialsDialog(Gtk.Dialog):
     """A dialog window to ask for a user name and a password."""
     def __init__(self, gui, userName, password,
@@ -320,5 +320,5 @@
         contentArea = self.get_content_area()
 
-        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -327,19 +327,19 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = gtk.VBox()
+        contentVBox = Gtk.VBox()
         contentAlignment.add(contentVBox)
 
         if infoText is not None:
-            label = gtk.Label(infoText)
+            label = Gtk.Label(infoText)
             label.set_alignment(0.0, 0.0)
 
             contentVBox.pack_start(label, False, False, 0)
 
-        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 24, padding_bottom = 0,
                                    padding_left = 0, padding_right = 0)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -349,10 +349,10 @@
         contentVBox.pack_start(tableAlignment, True, True, 0)
 
-        label = gtk.Label(userNameLabel)
+        label = Gtk.Label(userNameLabel)
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = gtk.Entry()
+        self._userName = Gtk.Entry()
         self._userName.set_width_chars(16)
         # FIXME: enabled the OK button only when there is something in thr
@@ -365,10 +365,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = gtk.Label(passwordLabel)
+        label = Gtk.Label(passwordLabel)
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         #self._password.connect("changed",
@@ -380,5 +380,5 @@
 
         if rememberPassword is not None:
-            self._rememberButton = gtk.CheckButton(rememberLabel)
+            self._rememberButton = Gtk.CheckButton(rememberLabel)
             self._rememberButton.set_use_underline(True)
             self._rememberButton.set_tooltip_text(rememberTooltip)
@@ -522,5 +522,5 @@
 
     Return a boolean indicating the answer."""
-    dialog = gtk.MessageDialog(parent = parent,
+    dialog = Gtk.MessageDialog(parent = parent,
                                type = MESSAGETYPE_QUESTION,
                                message_format = question)
@@ -540,5 +540,5 @@
                 title = WINDOW_TITLE_BASE):
     """Display an error dialog box with the given message."""
-    dialog = gtk.MessageDialog(parent = parent,
+    dialog = Gtk.MessageDialog(parent = parent,
                                type = MESSAGETYPE_ERROR,
                                message_format = message)
@@ -562,11 +562,11 @@
 
 def createFlightTypeComboBox():
-        flightTypeModel = gtk.ListStore(str, int)
+        flightTypeModel = Gtk.ListStore(str, int)
         for type in _const.flightTypes:
             name = "flighttype_" + _const.flightType2string(type)
             flightTypeModel.append([xstr(name), type])
 
-        flightType = gtk.ComboBox(model = flightTypeModel)
-        renderer = gtk.CellRendererText()
+        flightType = Gtk.ComboBox(model = flightTypeModel)
+        renderer = Gtk.CellRendererText()
         flightType.pack_start(renderer, True)
         flightType.add_attribute(renderer, "text", 0)
